PagePublishedPosts
| Nombre | Descripción |
|---|---|
| Acceso al contenido público de la página | This feature permission may be required. |
GET /v26.0/{page-id}/published_posts HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{page-id}/published_posts',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{page-id}/published_posts",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{page-id}/published_posts",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{page-id}/published_posts"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];limit. Si intentas leer más, recibirás un mensaje de error en el que se te indicará que no superes las 100./{page-id}/tagged para mostrar las publicaciones que etiquetaron esta página, los resultados solo incluyen publicaciones de otras páginas si estas son auténticas.source de /page/feed y /page/posts solo se devolverá para los vídeos que pertenezcan a la página si el usuario que realiza la solicitud es administrador de dicha página.La lectura de este perímetro mostrará un resultado formateado con JSON:
{ "
data": [], "paging": {}, "summary": {} }
datapagingsummaryInformación global sobre el perímetro, como los recuentos. Especifica los campos sobre los que quieres recuperar información en el parámetro "summary siguiendo este modelo: summary=total_count.
| Campo | Descripción |
|---|---|
total_countunsigned int32 | total_count |
| Error | Descripción |
|---|---|
| 80001 | There have been too many calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting. |
| 100 | Invalid parameter |
| 200 | Permissions error |
| 210 | User not visible |
| 190 | Invalid OAuth 2.0 Access Token |
| 283 | That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata |
| 104 | Incorrect signature |
| 2500 | Error parsing graph query |